MacBook Air early 2015 Catalina Install

onedah

Registered
I have a MacBook Air 13″ Early 2015 with MacOS Majave 10.14.6.

I get the below message when trying to install MacOS Catalina – any ideas?

“you must be running macos catalina 10.15 or later to install on this volume”

See attached screenshots to.



9554
 

SGilbert

Registered
Where did you get this OS from & how? Recommended: go to System Preferences and then Software update.
Delete what you have and run the above.
 

onedah

Registered
Where did you get this OS from & how? Recommended: go to System Preferences and then Software update.
Delete what you have and run the above.
The installer file was from going via system pref then software update.

I just removed the previous install and downloaded a fresh installer but still have the same message?
 
Last edited:

SGilbert

Registered
Strange! One more place to try. Go to App Store and search for macOS Catalina and download it from there. Quit everything before you attempt to install.
 

Cheryl

Rosie Moderator
Staff member
Mod
You maybe downloading an update file, not the full install. An update will need 10.15 installed already in order for the update to install.
In the App Store search for MacOS Catalina full install - not update.
 

DeltaMac

Tech
What exactly is the name of the installer that you downloaded?
 

onedah

Registered
Make a bootable USB from that app - One method here.
Boot to that installer.
That will work.
I created a bootable USB and managed to get it working - Thanks

FYI for others - doing this method erased all data on my hard drive.
 

DeltaMac

Tech
Booting to the installer, and reinstalling macOS through that method (booting to the installer) does not erase your hard drive -- unless you choose to do that. There could have been circumstances that prevented you from doing a normal reinstall, such as an error of some kind, and you were forced to erase the drive first. That would be relatively unusual.
 
Last edited:
Top